# Web Cloud › Telephony › Billing Accounts › Speed Dial API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 5 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/billing-accounts/speed-dial/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/telephony/billing-accounts/speed-dial.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/telephony/billing-accounts/speed-dial.json?format=openapi3

## Operations

- `GET /telephony/{billingAccount}/abbreviatedNumber` — List speed dial numbers
- `GET /telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}` — Get a speed dial number
- `POST /telephony/{billingAccount}/abbreviatedNumber` — Create a speed dial number
- `DELETE /telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}` — Delete a speed dial number
- `PUT /telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}` — Update a speed dial number

## List speed dial numbers

`GET /1.0/telephony/{billingAccount}/abbreviatedNumber`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/billing-accounts/speed-dial/#get-telephony-billingaccount-abbreviatednumber

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:abbreviatedNumber/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | integer[] | successful operation |

```json
[
  0
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/abbreviatedNumber")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/abbreviatedNumber");

print_r($result);
?>
```

## Get a speed dial number

`GET /1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/billing-accounts/speed-dial/#get-telephony-billingaccount-abbreviatednumber-abbreviatednumber

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:abbreviatedNumber/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `abbreviatedNumber` | path | integer | yes | The abbreviated number which must start with "7" and must have a length of 3 or 4 digits |
| `billingAccount` | path | string | yes | The name of your billingAccount |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.AbbreviatedNumberGroup | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `abbreviatedNumber` | integer | read-only | The abbreviated number which must start with "7" and must have a length of 3 or 4 digits |
| `destinationNumber` | phoneNumber |  | The destination of the abbreviated number |
| `name` | string |  |  |
| `surname` | string |  |  |

```json
{
  "abbreviatedNumber": 0,
  "destinationNumber": "string",
  "name": "string",
  "surname": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}");

print_r($result);
?>
```

## Create a speed dial number

`POST /1.0/telephony/{billingAccount}/abbreviatedNumber`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/billing-accounts/speed-dial/#post-telephony-billingaccount-abbreviatednumber

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:abbreviatedNumber/create`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `billingAccount` | path | string | yes | The name of your billingAccount |

### Request body (required)

Type: `object`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `abbreviatedNumber` | integer | yes | The abbreviated number which must start with "7" and must have a length of 3 or 4 digits |
| `destinationNumber` | phoneNumber | yes | The destination of the abbreviated number |
| `name` | string | yes |  |
| `surname` | string | yes |  |

```json
{
  "abbreviatedNumber": 0,
  "destinationNumber": "string",
  "name": "string",
  "surname": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | telephony.AbbreviatedNumberGroup | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `abbreviatedNumber` | integer | read-only | The abbreviated number which must start with "7" and must have a length of 3 or 4 digits |
| `destinationNumber` | phoneNumber |  | The destination of the abbreviated number |
| `name` | string |  |  |
| `surname` | string |  |  |

```json
{
  "abbreviatedNumber": 0,
  "destinationNumber": "string",
  "name": "string",
  "surname": "string"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/telephony/{billingAccount}/abbreviatedNumber",
	abbreviatedNumber = None, # The abbreviated number which must start with "7" and must have a length of 3 or 4 digits (type: long)
	destinationNumber = None, # The destination of the abbreviated number (type: phoneNumber)
	name = None, #  (type: string)
	surname = None, #  (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/telephony/{billingAccount}/abbreviatedNumber", array(
	abbreviatedNumber => null, // The abbreviated number which must start with "7" and must have a length of 3 or 4 digits (type: long)
	destinationNumber => null, // The destination of the abbreviated number (type: phoneNumber)
	name => null, //  (type: string)
	surname => null, //  (type: string)
));

print_r($result);
?>
```

## Delete a speed dial number

`DELETE /1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/billing-accounts/speed-dial/#delete-telephony-billingaccount-abbreviatednumber-abbreviatednumber

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:abbreviatedNumber/delete`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `abbreviatedNumber` | path | integer | yes | The abbreviated number which must start with "7" and must have a length of 3 or 4 digits |
| `billingAccount` | path | string | yes | The name of your billingAccount |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X DELETE \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.delete("/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->delete("/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}");

print_r($result);
?>
```

## Update a speed dial number

`PUT /1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/telephony/billing-accounts/speed-dial/#put-telephony-billingaccount-abbreviatednumber-abbreviatednumber

**Status:** Stable production version  
**IAM actions:** `voip:apiovh:abbreviatedNumber/edit`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `abbreviatedNumber` | path | integer | yes | The abbreviated number which must start with "7" and must have a length of 3 or 4 digits |
| `billingAccount` | path | string | yes | The name of your billingAccount |

### Request body (required)

Type: `telephony.AbbreviatedNumberGroup`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `abbreviatedNumber` | integer | read-only | The abbreviated number which must start with "7" and must have a length of 3 or 4 digits |
| `destinationNumber` | phoneNumber |  | The destination of the abbreviated number |
| `name` | string |  |  |
| `surname` | string |  |  |

```json
{
  "destinationNumber": "string",
  "name": "string",
  "surname": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: telephony.AbbreviatedNumberGroup
result = client.put("/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}",
	destinationNumber = None, # The destination of the abbreviated number (type: phoneNumber)
	name = None, #  (type: string)
	surname = None, #  (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: telephony.AbbreviatedNumberGroup
$result = $ovh->put("/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}", array(
	destinationNumber => null, // The destination of the abbreviated number (type: phoneNumber)
	name => null, //  (type: string)
	surname => null, //  (type: string)
));

print_r($result);
?>
```
